---
- name: Define the path and filename for the pcap file
  set_fact:
    pcap_filepath: "/tmp/capture-{{ ansible_date_time.iso8601_basic_short }}.pcap"

- name: Start tcpdump and make sure it's running to capture traffic
  include_tasks: start_tcpdump.yml

- name: Spin Up Order API Server
  include_tasks: order_api_server.yml

- name: Spin Up Data Feed Server
  include_tasks: data_feed_server.yml

- name: Sleep for the duration of the servers' runtime
  ansible.builtin.pause:
    seconds: "{{ capture_duration }}"

- name: Stop all the processes
  include_tasks: stop_processes.yml

- name: Fetch pcap file to local machine
  ansible.builtin.fetch:
    src: "{{ pcap_filepath }}"
    dest: "{{ logs_path }}/{{ inventory_hostname }}-capture-{{ ansible_date_time.iso8601_basic_short }}.pcap"
    flat: yes # This avoids creating extra directories matching the remote host structure
